ssossossosso

Forums

Covering OroCommerce topics, B2B eCommerce trends, community updates and company announcements.

This topic contains 6 replies, has 3 voices, and was last updated by msulima msulima 2 months, 3 weeks ago.

  • Creator
    Topic
  • #3522

    zimart
    Participant

    Please help install the system. After a lot of attempts, I initially configured the server to meet the requirements, unfortunately I can not – I can not install the system.

    How to install fxp …? fxp/composer-asset-plugin:1.2.2
    Can anyone step by step show me what to do?

    Possibly install the system – I can repay in some way – eg $,
    Here’s what I have in the console ….

    login as: oro
    oro@biznes.sanok.pl‘s password:
    Linux node 2.6.32-042stab120.16 #1 SMP Tue Dec 13 20:58:28 MSK 2016 x86_64

    The programs included with the Debian GNU/Linux system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.

    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
    permitted by applicable law.
    Last login: Fri Mar 24 18:52:02 2017 from 46.174.24.4
    oro@node:~$ cd public_html
    oro@node:~/public_html$ curl -s https://getcomposer.org/installer | php
    All settings correct for using Composer
    Downloading…

    Composer (version 1.4.1) successfully installed to: /home/oro/domains/oro.sigma. sanok.pl/public_html/composer.phar
    Use it: php composer.phar

    oro@node:~/public_html$ composer global require “fxp/composer-asset-plugin:~1.2” -bash: composer: command not found
    oro@node:~/public_html$ git clone –recursive https://github.com/orocommerce/oro commerce-application.git
    -bash: git: command not found
    oro@node:~/public_html$ php composer.phar install –prefer-dist
    Loading composer repositories with package information
    Installing dependencies (including require-dev) from lock file
    Nothing to install or update
    Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/gu zzle instead.
    Generating autoload files
    > ComponentInstaller\Installer::postAutoloadDump
    Compiling component files
    > Oro\Bundle\InstallerBundle\Composer\ScriptHandler::checkComposerPlugin
    Script Oro\Bundle\InstallerBundle\Composer\ScriptHandler::checkComposerPlugin ha ndling the post-install-cmd event terminated with an exception

    [RuntimeException]
    NPM/Bower Dependency Manager for Composer is not installed. Please run from
    CLI:
    > composer global require fxp/composer-asset-plugin:1.2.2
    See https://github.com/fxpio/composer-asset-plugin for details and usage.

    install [–prefer-source] [–prefer-dist] [–dry-run] [–dev] [–no-dev] [–no-c ustom-installers] [–no-autoloader] [–no-scripts] [–no-progress] [–no-suggest ] [-v|vv|vvv|–verbose] [-o|–optimize-autoloader] [-a|–classmap-authoritative] [–apcu-autoloader] [–ignore-platform-reqs] [–] [<packages>]…

Viewing 6 replies - 1 through 6 (of 6 total)
  • Author
    Replies
  • #3529

    martyn.pearson
    Participant

    Looks like you don’t have composer configured as a global command. Try /path/to/composer.phar global require “fxp/composer-asset-plugin:~1.3” (Set the correct path for you)

    #3538

    zimart
    Participant

    Hi, thank you for the answer, unfortunately I can’t do that.
    Can you give me step by step commands? Possibly install the system and show me the console screen. I will give data to FTP and SSH 🙁
    I may possibly pay something … 🙂

    #3564

    zimart
    Participant

    Hi, is there really anyone who can help me or install the system? Even for $$

    #3566

    martyn.pearson
    Participant

    Try following this guide.

    Once composer is available globally, you can follow the orocommerce install instructions.

    #3567

    martyn.pearson
    Participant
    #3572
    msulima
    msulima
    Participant

    Also, you can run

    in folder with local version of composer

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.